<?php
// +-----------------------------------------------------------------------+
// | Plugin Name : Look_Like_GBO                                                                |
// | Plugin Version : 1.1                                                                                    |
// | File Version : 0.1                                                                                       |
// | Plugin Version author : Ex-FTB                                                               |
// | Plugin description :                                                                                  |
// | Ce plugin permet d'afficher les miniatures au survol des boutons     |
// | de navigation. This plugin allows display thumbnail under buton        |
// +-----------------------------------------------------------------------+
// | This program is free software; you can redistribute it and/or modify  |
// | it under the terms of the GNU General Public License as published by  |
// | the Free Software Foundation                                          |
// |                                                                       |
// | This program is distributed in the hope that it will be useful, but   |
// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
// | General Public License for more details.                              |
// |                                                                       |
// | You should have received a copy of the GNU General Public License     |
// | along with this program; if not, write to the Free Software           |
// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
// | USA.                                                                  |
// +-----------------------------------------------------------------------+

// ***************************************
// ** Plugin Administration panel setup **
// ***************************************

if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');

/* ****************************************************** */
/* Plugin template initialisation for admin panel display */
/* ****************************************************** */

$me = get_plugin_data($plugin_id);
$template->assign_vars( array( 'LLGBOINFO' => ''));
global $template;

// Setup plugin Language
  $RPlang = ( isset($user['language']) ) ?
  $user['language'] : $conf['default_language']; // en_UK.iso-8859-1
  $my_path = dirname(__FILE__).'/../';
  $rp = array();
  if ( !@file_exists($my_path."language/$RPlang/lang.admin.llgbo.php") )
  {
    $SIElang = 'en_UK.iso-8859-1';
  }
// Include language
  @include_once( $my_path."language/$RPlang/lang.admin.llgbo.php" );

// Load configuration settings from database
load_conf_from_db('param like \'llgbo\\_%\'');

// Update configuration settings in database
if ( isset($_POST['submit']) )
{
  $query = '
UPDATE '.CONFIG_TABLE.'
  SET value="'.$_POST['llgbo_frame'].'"
  WHERE param="llgbo_frame"
  LIMIT 1';
  pwg_query($query);
  
   $query = '
UPDATE '.CONFIG_TABLE.'
  SET value="'.$_POST['llgbo_title_frame'].'"
  WHERE param="llgbo_title_frame"
  LIMIT 1';
  pwg_query($query);
  
  $query = '
UPDATE '.CONFIG_TABLE.'
  SET value="'.$_POST['llgbo_tooltip'].'"
  WHERE param="llgbo_tooltip"
  LIMIT 1';
  pwg_query($query);

  $query = '
UPDATE '.CONFIG_TABLE.'
  SET value="'.$_POST['llgbo_usemap'].'"
  WHERE param="llgbo_usemap"
  LIMIT 1';
  pwg_query($query);
    $query = '
UPDATE '.CONFIG_TABLE.'
  SET value="'.$_POST['llgbo_header'].'"
  WHERE param="llgbo_header"
  LIMIT 1';
  pwg_query($query);
 
    $query = '
UPDATE '.CONFIG_TABLE.'
  SET value="'.$_POST['llgbo_maintain_header'].'"
  WHERE param="llgbo_maintain_header"
  LIMIT 1';
  pwg_query($query); 
  $query = '
UPDATE '.CONFIG_TABLE.'
  SET value="'.$_POST['llgbo_allinfo'].'"
  WHERE param="llgbo_allinfo"
  LIMIT 1';
  pwg_query($query);
   // information message
 //$template->assign_block_vars('information',array('INFORMATION'=>$lang['news_added']));
 $template->assign_block_vars('information',array('INFORMATION'=>$lang['llgbo_info']));

// Reload settings for correct display after update
load_conf_from_db('param like \'llgbo\\_%\'');
}
// template setting
if ($conf['llgbo_frame'] == 'on')
{ $template->assign_vars( array( 'LLGBO_FRAME' => 'checked="checked"'));}
 else
{  $template->assign_vars( array( 'LLGBO_FRAME' => ''));}
if ($conf['llgbo_title_frame'] == 'on')
{ $template->assign_vars( array( 'LLGBO_TITLE_FRAME' => 'checked="checked"'));}
 else
{  $template->assign_vars( array( 'LLGBO_TITLE_FRAME' => ''));}

if ($conf['llgbo_tooltip'] == 'on')
{$template->assign_vars( array( 'LLGBO_TOOLTIP' => 'checked="checked"'));}
 else
 {$template->assign_vars( array( 'LLGBO_TOOLTIP' => ''));}
if ($conf['llgbo_usemap'] == 'on')
 {$template->assign_vars( array( 'LLGBO_USEMAP' => 'checked="checked"'));}
 else
 { $template->assign_vars( array( 'LLGBO_USEMAP' => ''));}
if ($conf['llgbo_header'] == 'on')
{ $template->assign_vars( array( 'LLGBO_HEADER' => 'checked="checked"'));}
 else
 { $template->assign_vars( array( 'LLGBO_HEADER' => ''));}
 $template->assign_vars( array( 'LLGBO_MAINTAIN_HEADER' => $conf['llgbo_maintain_header']));
if ($conf['llgbo_allinfo'] == 'on')
 {$template->assign_vars( array( 'LLGBO_ALLINFO' => 'checked="checked"'));}
 else
 { $template->assign_vars( array( 'LLGBO_ALLINFO' => ''));}

 

$template->set_filenames( array('plugin_admin_content' => dirname(__FILE__).'/llgbo_admin.tpl') );

$template->assign_var_from_handle( 'ADMIN_CONTENT', 'plugin_admin_content');
?>